/* 
 * @Program that Splits One Text Node into Three
 * SplittingTextNode.java 
 * Author:-RoseIndia Team
 * Date:-10-Jun-2008
 */

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;

public class SplittingTextNode {

    public static void main(String[] args) throws Exception {
        DocumentBuilderFactory builderFactory = DocumentBuilderFactory.newInstance();
        builderFactory.setValidating(false);

        Document doc = builderFactory.newDocumentBuilder().parse(new File("Document5.xml"));
        new SplittingTextNode().split(doc);
    }

    public void split(Document doc) {
        Element root = doc.getDocumentElement();
        Element paragraph = (Element) root.getFirstChild();
        Text text = (Text) paragraph.getFirstChild();
        System.out.println("Text node before spillting is: "+text.getData());
        Text newText = text.splitText(5);
        System.out.println("Spillted First node is: "+newText.getData());
        Text newText1 = newText.splitText(5);
        System.out.println("Spillted Second node is: "+newText1.getData());
        Text newText2 = newText1.splitText(3);
        System.out.print("Spillted Third node is: "+newText2.getData());


    }
}
